XFcBtAdvertiser class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcBtAdvertiser Class Reference

Inheritance diagram for XFcBtAdvertiser:

[legend]
Collaboration diagram for XFcBtAdvertiser:

[legend]
List of all members.

## Public Member Functions

virtual | ~XFcBtAdvertiser ()
| Virtual destructor.
void | setAvailability (INT32 aAvailable)
| Sets availability status.
INT32 | getAvailability () const
| Gets availability.
virtual XFCIMPORT INT | isAddress () const
| Test if address is set.

## Static Public Member Functions

XFcBtAdvertiser * | create (const XFcAddress &aAddress, const CHAR8 *aMessage, INT32 aMessageLength)
| Creates bt advertiser with address and message.
XFcBtAdvertiser * | create (const CHAR8 *aMessage, INT32 aMessageLength)
| Creates bt advertiser with message.
XFcBtAdvertiser * | create (const XFcHostEntry &aHostEntry)
| Creates bt advertiser with bt hostentry.
XFcBtAdvertiser * | create ()
| Creates empty bt advertiser, availability is set to fully used.

## Public Attributes

XFcHostEntry * | mHostEntry
| Holds advertice receive address, this address can be used for game play.

## Protected Member Functions

| XFcBtAdvertiser ()
INT | init (const XFcAddress &aAddress, const CHAR8 *aMessage, INT32 aMessageLength)
INT | init (const CHAR8 *aMessage, INT32 aMessageLength)
INT | init (const XFcHostEntry &aHostEntry)
INT | init ()

## Private Attributes

INT | mAvailability

## Constructor & Destructor Documentation

XFcBtAdvertiser::XFcBtAdvertiser | ( |  | ) | `[protected]`

virtual XFcBtAdvertiser::~XFcBtAdvertiser | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

XFcBtAdvertiser* XFcBtAdvertiser::create | ( |  | ) | `[static]`

| Creates empty bt advertiser, availability is set to fully used.

XFcBtAdvertiser* XFcBtAdvertiser::create | ( | const XFcHostEntry & | aHostEntry | ) | `[static]`

| Creates bt advertiser with bt hostentry.

XFcBtAdvertiser* XFcBtAdvertiser::create | ( | const CHAR8 * | aMessage,
|  | INT32 | aMessageLength
| ) | `[static]`

| Creates bt advertiser with message.

XFcBtAdvertiser* XFcBtAdvertiser::create | ( | const XFcAddress & | aAddress,
|  | const CHAR8 * | aMessage,
|  | INT32 | aMessageLength
| ) | `[static]`

| Creates bt advertiser with address and message.

INT32 XFcBtAdvertiser::getAvailability | ( |  | ) | const

| Gets availability.

INT XFcBtAdvertiser::init | ( |  | ) | `[protected]`

INT XFcBtAdvertiser::init | ( | const XFcHostEntry & | aHostEntry | ) | `[protected]`

INT XFcBtAdvertiser::init | ( | const CHAR8 * | aMessage,
|  | INT32 | aMessageLength
| ) | `[protected]`

INT XFcBtAdvertiser::init | ( | const XFcAddress & | aAddress,
|  | const CHAR8 * | aMessage,
|  | INT32 | aMessageLength
| ) | `[protected]`

virtual XFCIMPORT INT XFcBtAdvertiser::isAddress | ( |  | ) | const`[virtual]`

| Test if address is set. Reimplemented from XFcAdvertiser.

void XFcBtAdvertiser::setAvailability | ( | INT32 | aAvailable | ) |

Sets availability status.

Parameters:

  0x00 | means fully used and 0xff fully unused.

## Member Data Documentation

INT XFcBtAdvertiser::mAvailability`[private]`

XFcHostEntry* XFcBtAdvertiser::mHostEntry

| Holds advertice receive address, this address can be used for game play.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch